Package org.zkoss.zk.ui.sys

## Interface RequestInfo

- All Known Implementing Classes:
    `RequestInfoImpl`

      public interface RequestInfo

  The request information used with `UiFactory`.
  Author:
    tomyeh

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Desktop` | `getDesktop()` | Returns the desktop, or null if not created yet.
    `Locator` | `getLocator()` | Returns the locator used to retrieve resources, such as taglib and zscript files, or null if `getWebApp()` will be used as the locator.
    `java.lang.Object` | `getNativeRequest()` | Returns the native request.
    `Session` | `getSession()` | Returns the session, or null if not available.
    `WebApp` | `getWebApp()` | Returns the Web application; never null.
    `void` | `setLocator​(Locator locator)` | Sets the locator used to retrieve resources, such as taglib and zscript files.

- - ### Method Detail

    - #### getWebApp

          WebApp getWebApp()

      Returns the Web application; never null.

    - #### getSession

          Session getSession()

      Returns the session, or null if not available.

    - #### getDesktop

          Desktop getDesktop()

      Returns the desktop, or null if not created yet. In other words, it returns null if `UiFactory.newDesktop(org.zkoss.zk.ui.sys.RequestInfo, java.lang.String, java.lang.String)` is called.

    - #### getNativeRequest

          java.lang.Object getNativeRequest()

      Returns the native request. For HTTP, it is javax.servlet.http.HttpServletRequest.

    - #### getLocator

          Locator getLocator()

      Returns the locator used to retrieve resources, such as taglib and zscript files, or null if `getWebApp()` will be used as the locator.

    - #### setLocator

          void setLocator​(Locator locator)

      Sets the locator used to retrieve resources, such as taglib and zscript files.
      Parameters:
        `locator` - the locator used to locate taglib and other resources. If null, `getWebApp()` is used.